import 'package:flutter_riverpod/flutter_riverpod.dart';
import 'package:go_router/go_router.dart';
import 'package:meezi_pos/features/auth/login_screen.dart';
import 'package:meezi_pos/features/pos/pos_screen.dart';

final appRouterProvider = Provider<GoRouter>((ref) {
  return GoRouter(
    initialLocation: '/login',
    routes: [
      GoRoute(path: '/login', builder: (_, __) => const LoginScreen()),
      GoRoute(path: '/pos', builder: (_, __) => const PosScreen()),
    ],
  );
});
